var express = require('express');
var app = express();
var nunjucks = require('nunjucks');

var config;
var aaa;
var view_path = 'views';

function createServer() {
    if (!config.expresso || !config.expresso.listen_port) {
        console.log('Not starting expresso admin UI');
        return;
    }
    
    nunjucks.configure(view_path, {
        autoescape: true,
        express: app
    });

    app.get('/', function (req, res) {
        res.render('config-index.html', { title: 'CONFIG', configs: config });
    });

    var server = app.listen(config.expresso.listen_port, function () {
        var host = server.address().address;
        var port = server.address().port;

        console.log('Expresso admin UI listening at http://%s:%s', host, port);
    });
}

function start(options) {
    if (options['config']) {
        config = options['config'];
    }
    
    if (options['aaa']) {
        aaa = options['aaa'];
    }
    
    if (options['express_views']) {
        view_path = options['expresso_views'];
    }
    
    createServer();
}

exports.start = start;
